Need "Read more" header above read more cards at bottom of articles
Closed, ResolvedPublic2 Story Points

Description

Label will read "Read More"
See pholio mock

Mhurd created this task.Oct 14 2015, 11:47 PM
Mhurd updated the task description. (Show Details)
Mhurd raised the priority of this task from to Needs Triage.
Mhurd moved this task to Needs Triage on the Wikipedia-iOS-App-Backlog board.
Mhurd added a subscriber: Mhurd.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2015, 11:47 PM
JMinor triaged this task as Normal priority.Oct 19 2015, 5:06 PM
JMinor added a project: iOS-app-v5-alpha.
JMinor set Security to None.
Mhurd claimed this task.
Mhurd removed Mhurd as the assignee of this task.
Fjalapeno removed Fjalapeno as the assignee of this task.Oct 26 2015, 5:20 PM
BGerstle-WMF removed BGerstle-WMF as the assignee of this task.Oct 26 2015, 10:06 PM
Mhurd added a comment.Nov 4 2015, 9:48 PM

@Fjalapeno - I added a "article-related-articles-title" localization string for you for this in my pr: https://github.com/wikimedia/wikipedia-ios/pull/228

Mhurd added a comment.Nov 9 2015, 10:34 PM

@Fjalapeno @JMinor If the header now says "Related articles" I suggest we update the TOC entry (which presently says "Read more") to say "Related articles" as well.

Agree w/ @Mhurd. @Nirzar @JMinor can we pick one? "Read More" vs. "Related Articles"? Keep in mind "Read More" is already localized in several languages.

Just check with Jon, for consistency with the forthcoming web section lets use "Read More",

JMinor updated the task description. (Show Details)Nov 9 2015, 11:47 PM

Moving back to "ready for dev" for Josh's note above.

Mhurd claimed this task.Nov 17 2015, 7:10 PM

Making tweak mentioned above.

@Mhurd I see this is still in QA sign off but can I give feedback now?

Current screenshot:

The section header should use the standard ios size and spacing, like in the settings menu here:

Mhurd added a comment.Nov 19 2015, 9:51 PM

@KHammerstein Hey I pinged @JMinor and he recommends we make a separate ticket for this if that's ok.

@Mhurd @JMinor
Bug related to this task filed here T119125

Checked with 5.0.0.519 on iPad mini iOS 8.2

T119125: Section headers should all use consistent style is not fixed yet.

@Etonkovidova @Mhurd the padding below the read more is way less. it can follow the same padding of all the other section headers. like "today", "yesterday" in recent tabs. or in settings

Mhurd added a comment.Dec 2 2015, 7:59 PM

@Nirzar

Please provide a mock that makes this consistent.

Consistent section headers:

Inconsistency styled "Read more" section header:

@Mhurd
Good catch, I'll update today.

@Mhurd Updated the table of contents spec to change style of read more to match the style in the article

Spec

  • Also see T119024

    Mhurd added a comment.Dec 3 2015, 12:39 AM

    @KHammerstein looks great! Thanks! (I like the blue too). Josh is breaking this out to ticket tied the to new article footer bits.

    ^Agreed, I like the differentiation of these footer sections in the ToC, makes "Read more" much clearer as not just offering more of the same article.

    This should be done as part of re-doing the footer stuff (T109144) so we can udate all the footer items and their ToC entries at once.

    This comment was removed by Mhurd.
    Mhurd closed this task as Resolved.Dec 23 2015, 8:57 AM